/*
 * Copyright 2018 ConsenSys AG.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package tech.pegasys.pantheon.ethereum.mainnet;

import tech.pegasys.pantheon.ethereum.core.Address;

import java.util.HashMap;
import java.util.Map;

/** Encapsulates a group of {@link PrecompiledContract}s used together. */
public class PrecompileContractRegistry {

  private final Map<Address, PrecompiledContract> precompiles;

  public PrecompileContractRegistry() {
    this.precompiles = new HashMap<>();
  }

  public PrecompiledContract get(final Address address) {
    return precompiles.get(address);
  }

  public void put(final Address address, final PrecompiledContract precompile) {
    precompiles.put(address, precompile);
  }
}
