/*
 * Copyright 2018 ConsenSys AG.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package tech.pegasys.pantheon.ethereum.eth.manager;

public class EthContext {

  private final String protocolName;
  private final EthPeers ethPeers;
  private final EthMessages ethMessages;
  private final EthScheduler scheduler;

  public EthContext(
      final String protocolName,
      final EthPeers ethPeers,
      final EthMessages ethMessages,
      final EthScheduler scheduler) {
    this.protocolName = protocolName;
    this.ethPeers = ethPeers;
    this.ethMessages = ethMessages;
    this.scheduler = scheduler;
  }

  public String getProtocolName() {
    return protocolName;
  }

  public EthPeers getEthPeers() {
    return ethPeers;
  }

  public EthMessages getEthMessages() {
    return ethMessages;
  }

  public EthScheduler getScheduler() {
    return scheduler;
  }
}
